# Class TableLayout.Constraint

java.lang.Object
com.codename1.ui.table.TableLayout.Constraint

Enclosing class:
  `TableLayout`

public static class TableLayout.Constraint extends Object
Represents the layout constraint for an entry within the table indicating the desired position/behavior of the component.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constraint()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getColumn()`

  ###### Returns

  `int`
  `getHeightPercentage()`

  ###### Returns

  `int`
  `getHorizontalAlign()`

  ###### Returns

  `int`
  `getHorizontalSpan()`

  ###### Returns

  `int`
  `getRow()`

  ###### Returns

  `int`
  `getVerticalAlign()`

  ###### Returns

  `int`
  `getVerticalSpan()`

  ###### Returns

  `int`
  `getWidthPercentage()`

  ###### Returns

  `TableLayout.Constraint`
  `ha(int align)`
  Sets the horizontal alignment of the table cell
  `TableLayout.Constraint`
  `heightPercentage(int height)`
  Sets the row height based on percentage of the parent
  `TableLayout.Constraint`
  `horizontalAlign(int align)`
  Sets the horizontal alignment of the table cell
  `TableLayout.Constraint`
  `horizontalSpan(int span)`
  Sets the cells to span horizontally, this number must never be smaller than 1
  `TableLayout.Constraint`
  `hp(int height)`
  Sets the row height based on percentage of the parent
  `TableLayout.Constraint`
  `hs(int span)`
  Sets the cells to span horizontally, this number must never be smaller than 1
  `void`
  `setHeightPercentage(int height)`
  Sets the row height based on percentage of the parent
  `void`
  `setHorizontalAlign(int align)`
  Sets the horizontal alignment of the table cell
  `void`
  `setHorizontalSpan(int span)`
  Sets the cells to span horizontally, this number must never be smaller than 1
  `void`
  `setVerticalAlign(int valign)`
  Sets the vertical alignment of the table cell
  `void`
  `setVerticalSpan(int span)`
  Sets the cells to span vertically, this number must never be smaller than 1
  `void`
  `setWidthPercentage(int width)`
  Sets the column width based on percentage of the parent
  `String`
  `toString()`
  Returns a string representation of the object.
  `TableLayout.Constraint`
  `va(int valign)`
  Sets the vertical alignment of the table cell
  `TableLayout.Constraint`
  `verticalAlign(int valign)`
  Sets the vertical alignment of the table cell
  `TableLayout.Constraint`
  `verticalSpan(int span)`
  Sets the cells to span vertically, this number must never be smaller than 1
  `TableLayout.Constraint`
  `vs(int span)`
  Sets the cells to span vertically, this number must never be smaller than 1
  `TableLayout.Constraint`
  `widthPercentage(int width)`
  Sets the column width based on percentage of the parent
  `TableLayout.Constraint`
  `wp(int width)`
  Sets the column width based on percentage of the parent

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Constraint

    public Constraint()

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### verticalSpan

    public TableLayout.Constraint verticalSpan(int span)

    Sets the cells to span vertically, this number must never be smaller than 1

    ###### Parameters

    - `span`: a number larger than 1

    ###### Returns

    this

  - ### vs

    public TableLayout.Constraint vs(int span)

    Sets the cells to span vertically, this number must never be smaller than 1

    ###### Parameters

    - `span`: a number larger than 1

    ###### Returns

    this

  - ### horizontalSpan

    public TableLayout.Constraint horizontalSpan(int span)

    Sets the cells to span horizontally, this number must never be smaller than 1

    ###### Parameters

    - `span`: a number larger than 1

  - ### hs

    public TableLayout.Constraint hs(int span)

    Sets the cells to span horizontally, this number must never be smaller than 1

    ###### Parameters

    - `span`: a number larger than 1

  - ### widthPercentage

    public TableLayout.Constraint widthPercentage(int width)

    Sets the column width based on percentage of the parent

    ###### Parameters

    - `width`: negative number indicates ignoring this member

  - ### wp

    public TableLayout.Constraint wp(int width)

    Sets the column width based on percentage of the parent

    ###### Parameters

    - `width`: negative number indicates ignoring this member

  - ### heightPercentage

    public TableLayout.Constraint heightPercentage(int height)

    Sets the row height based on percentage of the parent

    ###### Parameters

    - `height`: negative number indicates ignoring this member

  - ### hp

    public TableLayout.Constraint hp(int height)

    Sets the row height based on percentage of the parent

    ###### Parameters

    - `height`: negative number indicates ignoring this member

  - ### horizontalAlign

    public TableLayout.Constraint horizontalAlign(int align)

    Sets the horizontal alignment of the table cell

    ###### Parameters

    - `align`: Component.LEFT/RIGHT/CENTER

  - ### ha

    public TableLayout.Constraint ha(int align)

    Sets the horizontal alignment of the table cell

    ###### Parameters

    - `align`: Component.LEFT/RIGHT/CENTER

  - ### verticalAlign

    public TableLayout.Constraint verticalAlign(int valign)

    Sets the vertical alignment of the table cell

    ###### Parameters

    - `valign`: Component.TOP/BOTTOM/CENTER

  - ### va

    public TableLayout.Constraint va(int valign)

    Sets the vertical alignment of the table cell

    ###### Parameters

    - `valign`: Component.TOP/BOTTOM/CENTER

  - ### getRow

    public int getRow()

    ###### Returns

    the row

  - ### getColumn

    public int getColumn()

    ###### Returns

    the column

  - ### getWidthPercentage

    public int getWidthPercentage()

    ###### Returns

    the width

  - ### setWidthPercentage

    public void setWidthPercentage(int width)

    Sets the column width based on percentage of the parent

    ###### Parameters

    - `width`: negative number indicates ignoring this member

  - ### getHeightPercentage

    public int getHeightPercentage()

    ###### Returns

    the height

  - ### setHeightPercentage

    public void setHeightPercentage(int height)

    Sets the row height based on percentage of the parent

    ###### Parameters

    - `height`: negative number indicates ignoring this member

  - ### getHorizontalSpan

    public int getHorizontalSpan()

    ###### Returns

    the spanHorizontal

  - ### setHorizontalSpan

    public void setHorizontalSpan(int span)

    Sets the cells to span horizontally, this number must never be smaller than 1

    ###### Parameters

    - `span`: a number larger than 1

  - ### getVerticalSpan

    public int getVerticalSpan()

    ###### Returns

    the spanVertical

  - ### setVerticalSpan

    public void setVerticalSpan(int span)

    Sets the cells to span vertically, this number must never be smaller than 1

    ###### Parameters

    - `span`: a number larger than 1

  - ### getHorizontalAlign

    public int getHorizontalAlign()

    ###### Returns

    the align

  - ### setHorizontalAlign

    public void setHorizontalAlign(int align)

    Sets the horizontal alignment of the table cell

    ###### Parameters

    - `align`: Component.LEFT/RIGHT/CENTER

  - ### getVerticalAlign

    public int getVerticalAlign()

    ###### Returns

    the valign

  - ### setVerticalAlign

    public void setVerticalAlign(int valign)

    Sets the vertical alignment of the table cell

    ###### Parameters

    - `valign`: Component.TOP/BOTTOM/CENTER